<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ZccmThirdMapper">

    <resultMap type="zccmthird" id="ThirdMap">
        <result property="thirdId" column="third_id" jdbcType="INTEGER"/>
        <result property="thirdToken" column="third_token" jdbcType="VARCHAR"/>
        <result property="thirdName" column="third_name" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="INTEGER"/>
        <result property="expireTime" column="expire_time" jdbcType="INTEGER"/>
    </resultMap>
    
    <sql id = "Base_Column_List">
        third_id,
        third_token,
        third_name,
        create_time,
        expire_time
    </sql>

    <select id="queryThirdByToken" resultMap="ThirdMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM zccm_third
        WHERE third_token = #{token}
    </select>

</mapper>